## Script (Python) ""
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=url,menuItems
from tecnoteca.plonecmdbuild.ws.WSConst import WSConst as ws
from ZTUtils import make_query

splash = "<img src=\"tt_cmdbuild_logo.png\" alt=\"CMDBuild logo\">"

def redirectToFirstNode(menuItems):
    if menuItems:
        for item in menuItems:
            if item[ws.MENUTYPE] != ws.FOLDERMENUTYPE and item[ws.CLASSNAME]:
                menuType = item[ws.MENUTYPE]
                if menuType == ws.PROCESSMENUTYPE:
                    pt = "cardForm"
                elif menuType == ws.CLASSMENUTYPE:
                    pt = "cardList"
                    
                href = '%s/%s?%s' % (url, pt, make_query({ws.CLASSNAME:item[ws.CLASSNAME]}))
                return context.REQUEST.RESPONSE.redirect(href)
            
            elif item[ws.MENUTYPE] == ws.FOLDERMENUTYPE:
                return redirectToFirstNode(item[ws.NODES])

try:    
    redirectToFirstNode(menuItems)
    return splash
except:
    return splash
