from tecnoteca.plonecmdbuild.config import *
    
from Products.CMFCore.utils import getToolByName

class WSProperties:
    def __init__(self):
        portal_props = getToolByName(self, 'portal_properties')
        self.config = getattr(portal_props, PROPERTY_SHEET, None)
        
    def getWSUrl(self):
        return getattr(self.config, PROPERTY_WEBSERVICE_URL)
    
    def getWSUsername(self):
        return getattr(self.config, PROPERTY_WEBSERVICE_USERNAME)

    def getWSPassword(self):
        return getattr(self.config, PROPERTY_WEBSERVICE_PASSWORD)
    
    def getWSResultsPerPage(self):
        return getattr(self.config, PROPERTY_RESULTS_PER_PAGE)
