## Script (Python) ""
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=menuItems,url
from tecnoteca.plonecmdbuild.ws.WSConst import WSConst as ws
from ZTUtils import make_query

def traverse(ns):
    if not ns:
        return ''
    
    ret = ['<ul class="TTMenuList">']
    for child in ns:
        menuType = child[ws.MENUTYPE]
        pt = ""
        if menuType == ws.REPORTMENUTYPE:
            continue # skip reports
        elif menuType == ws.PROCESSMENUTYPE:
            pt = "cardForm"
        elif menuType == ws.CLASSMENUTYPE:
            pt = "cardList"
        
        html = child[ws.DESCRIPTION]
        if menuType != ws.FOLDERMENUTYPE:
            if child[ws.CLASSNAME]:
                href = '%s/%s?%s' % (url, pt, make_query({ws.CLASSNAME:child[ws.CLASSNAME]}))
                html = "<a href=\"%s\">%s</a>" % (href, child[ws.DESCRIPTION])
            else:
                child[ws.DESCRIPTION]
        
        ret.extend(['<li class="%s">' % child[ws.MENUTYPE],
                    html,
                    traverse(child[ws.NODES]),
                    '</li>'])
        
    ret.append('</ul>')
    return ''.join(ret)
    
return traverse(menuItems)
